Banner(3I)

NAME
Banner - one line title bar

SYNOPSIS
#include <InterViews/banner.h>

DESCRIPTION
A banner is an interactor that draws a one line title bar with optional left-justified, centered, and right-justified headings. The member variable highlight can be set to cause drawing to be performed with the foreground and background colors reversed.

The natural size of a banner depends on the size of its headings. Banners are infinitely stretchable horizontally, but fixed size vertically.

PUBLIC OPERATIONS

Banner(char* left, char* middle, char* right)
    The left string will be left-justified, the middle string centered, and right string right-justified in the banner. A header can be omitted by passing a nil string.

void Update()
    The strings can be set through the left, middle, and right member variables. The Update operation should be called after one or more of the strings is changed.

SEE ALSO
Interactor(3I)